/* Contenedor del componente de finalización (completion-result) */
.completion-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  /* Estado inicial para la animación */
  opacity: 1;
  transform: translateX(-50%);
  transition: transform 0.6s ease-out, opacity 0.6s ease-out;
  position: absolute;
}

/* Estilización y animación del nuevo componente */
.completion-container {
  width: 1065px;
  background: var(--white);
  color: var(--black-2);
  text-align: center;
  border-radius: 12px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.15);
  padding: 20px;
  margin: 0px;


  /* Estado inicial para la animación */
  transform: translateY(100%);
  opacity: 0;
  /* Puedes definir una transición si no usas keyframes */
  transition: transform 0.6s ease-out, opacity 0.6s ease-out;
}

/* Animación para que aparezca suavemente */
.animate-in {
  transform: translateY(0);
  opacity: 1;
}

/* Animación de aparición */
@keyframes slideIn {
  from {
    transform: translateY(100%);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

/* Aplicar animación */
.completion-container.animate-in {
  animation: slideIn 1s ease-in-out;
}


.text-bajo {
  color: #3FB6AD;
  transition: color 0.5s ease;
}

.text-medio {
  color: #B7872E;
  transition: color 0.5s ease;
}

.text-alto {
  color: #BF4848;
  transition: color 0.5s ease;
}

/* Texto del mensaje */
.completion-message {
  font-size: 20px;
  font-weight: bold;
}

.completion-text {
  font-size: 16px;
  margin: 10px 0;
}

/* Botón */
.completion-button {
  background-color: white;
  color: var(--bg-success);
  border: none;
  padding: 10px 15px;
  border-radius: 5px;
  font-size: 14px;
  cursor: pointer;
  transition: background 0.3s ease;
}

.completion-button:hover {
  background-color: var(--white);
}

/*------------ Contenedor central ------------*/
.conclusive-search-warning__footer-content {
  background: var(--white);
  text-align: center;
  padding: 10px;
  border-radius: 8px;
}

/* Icono en el footer */
.conclusive-search-warning__icon {
  height: 44px;
  width: 44px;
}

/* Títulos y textos dentro del footer-content */
.conclusive-search-warning__person-title {
  font-weight: bold;
  font-size: 20px;
  /* color: var(--notification-dark-green); */
  margin: 10px 0 2px;
}

.conclusive-search-warning__person-subtitle {
  font-size: 15px;
  color: var(--black-2);
  margin: 0 0 10px;
}

.conclusive-search-warning__description {
  max-width: 700px;
  margin: 0 auto 10px;
  font-size: 15px;
  color: var(--black-2);
}

/* Contenedor de tarjetas (coincidencias 0...) */
.conclusive-search-warning__cards-container {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin: 2% 0;
}

.conclusive-search-warning__card {
  border-radius: 8px;
  background-color: var(--white);
  padding: 16px;
  display: flex;
  gap: 10px;
  box-shadow: 0px 3px 6px #00000029;
  width: 327px;
  text-align: left;
}

.conclusive-search-warning__card-title {
  font-weight: bold;
  margin: 0 0 5px;
}

.conclusive-search-warning__card-value {
  color: var(--black-2);
  margin: 0 0 5px;
}

.conclusive-search-warning__card-description {
  margin: 0;
  color: var(--gray-2);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  /* Limita a 2 líneas */
  line-clamp: 2;
  /* Standard property for compatibility */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
}

/* Recomendación en footer */
.conclusive-search-warning__footer-recommendation {
  color: var(--black-2);
  width: 75%;
  font-weight: 700;
  margin: 10px auto;
  text-align: center;
}

/* Botón "IMPRIMIR INFORME" */
.conclusive-search-warning__print-button {
  background-color: #e67247;
  border-radius: 8px;
  padding: 5px 15px;
  border: none;
  color: #fff;
  font-size: 15px;
  display: block;
  margin: 0 auto;
  cursor: pointer;
}